IOSS 2.0

Static Public Attributes | List of all members
anonymous_namespace{Ioss_Wedge15.C}::Constants Struct Reference

## Static Public Attributes
static const int | nnode = 15
static const int | nedge = 9
static const int | nedgenode = 3
static const int | nface = 5
static const int | nfacenode = 8
static const int | nfaceedge = 4
static int | edge_node_order [nedge][nedgenode]
static int | face_node_order [nface][nfacenode]
static int | face_edge_order [nface][nfaceedge]
static int | nodes_per_face [nface+1] = {-1, 8, 8, 8, 6, 6}
static int | edges_per_face [nface+1] = {-1, 4, 4, 4, 3, 3}

## Member Data Documentation

## ◆ edge_node_order

int anonymous_namespace{Ioss_Wedge15.C}::Constants::edge_node_order
| static

Initial value:
=
{{0, 1, 6}, {1, 2, 7}, {2, 0, 8}, {3, 4, 12}, {4, 5, 13},
{5, 3, 14}, {0, 3, 9}, {1, 4, 10}, {2, 5, 11}}

## ◆ edges_per_face

int anonymous_namespace{Ioss_Wedge15.C}::Constants::edges_per_face = {-1, 4, 4, 4, 3, 3}
| static

## ◆ face_edge_order

int anonymous_namespace{Ioss_Wedge15.C}::Constants::face_edge_order
| static

Initial value:
=
{{0, 7, 3, 6}, {1, 8, 4, 7}, {6, 5, 8, 2}, {2, 1, 0, -1}, {3, 4, 5, -1}}

## ◆ face_node_order

int anonymous_namespace{Ioss_Wedge15.C}::Constants::face_node_order
| static

Initial value:
=
{{0, 1, 4, 3, 6, 10, 12, 9},
{1, 2, 5, 4, 7, 11, 13, 10},
{0, 3, 5, 2, 9, 14, 11, 8},
{0, 2, 1, 8, 7, 6, -1, -1},
{3, 4, 5, 12, 13, 14, -1, -1}}

## ◆ nedge

const int anonymous_namespace{Ioss_Wedge15.C}::Constants::nedge = 9
| static

## ◆ nedgenode

const int anonymous_namespace{Ioss_Wedge15.C}::Constants::nedgenode = 3
| static

## ◆ nface

const int anonymous_namespace{Ioss_Wedge15.C}::Constants::nface = 5
| static

## ◆ nfaceedge

const int anonymous_namespace{Ioss_Wedge15.C}::Constants::nfaceedge = 4
| static

## ◆ nfacenode

const int anonymous_namespace{Ioss_Wedge15.C}::Constants::nfacenode = 8
| static

## ◆ nnode

const int anonymous_namespace{Ioss_Wedge15.C}::Constants::nnode = 15
| static

## ◆ nodes_per_face

int anonymous_namespace{Ioss_Wedge15.C}::Constants::nodes_per_face = {-1, 8, 8, 8, 6, 6}
| static

The documentation for this struct was generated from the following file:

- src/Ioss_Wedge15.C